| GET | /RestApi/translations/projects |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Skip | query | int? | No | |
| Take | query | int? | No | |
| OrderExpression | query | string | No | |
| SearchText | query | string | No | |
| Service | query | string[] | No | |
| ProjectStatus | query | ProjectStatus? | No | |
| ActualSourceLanguage | query | string | No | |
| WithoutSourceLanguage | query | bool | No |
| NotStarted | |
| Started | |
| Completed |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/projects HTTP/1.1 Host: www.imglobal.com Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"Title":"String","Description":"String","StartDate":"\/Date(-62135596800000-0000)\/","DueDate":"\/Date(-62135596800000-0000)\/","DateSent":"\/Date(-62135596800000-0000)\/","DateCompleted":"\/Date(-62135596800000-0000)\/","SentBy":"String","Connector":{"Name":"String","Title":"String","Count":0,"Xliff":{"IsXliff":false,"IsFtp":false,"IsMachineTranslation":false}},"Status":"String","PoReference":"String","ActualSourceLanguage":{"Code":"String","Name":"String","Count":0},"TargetLanguages":[{"Code":"String","Name":"String","Count":0}],"TranslationsCount":0,"CanBeCompleted":false,"ExternalId":"String"}]